import React, { ReactNode, RefAttributes } from 'react';
import { Dialog, DialogDescription, DialogDescriptionProperties, DialogFooterProperties, DialogHeaderProperties, DialogOverlayProperties, DialogProperties, DialogTriggerProperties } from './dialog.js';
import { ComponentInternals, ContainerProperties } from '@react-three/uikit';
export type AlertDialogOverlayProperties = DialogOverlayProperties;
export declare const AlertDialogOverlay: (props: AlertDialogOverlayProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type AlertDialogProperties = DialogProperties;
export declare const AlertDialog: typeof Dialog;
export type AlertDialogTriggerProperties = DialogTriggerProperties;
export declare const AlertDialogTrigger: (props: AlertDialogTriggerProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type AlertDialogContentProperties = ContainerProperties;
export declare const AlertDialogContent: (props: AlertDialogContentProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type AlertDialogHeaderProperties = DialogHeaderProperties;
export declare const AlertDialogHeader: (props: AlertDialogHeaderProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type AlertDialogFooterProperties = DialogFooterProperties;
export declare const AlertDialogFooter: (props: AlertDialogFooterProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type AlertDialogTitleProperties = {
    children?: ReactNode;
};
export declare function AlertDialogTitle(props: AlertDialogTitleProperties): React.JSX.Element;
export type AlertDialogDescriptionProperties = DialogDescriptionProperties;
export declare const AlertDialogDescription: typeof DialogDescription;
export type AlertDialogActionProperties = ContainerProperties;
export declare const AlertDialogAction: (props: AlertDialogActionProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type AlertDialogCancelProperties = ContainerProperties;
export declare const AlertDialogCancel: (props: AlertDialogCancelProperties & RefAttributes<ComponentInternals>) => ReactNode;
