import { ComponentInternals, ContainerProperties } from '@react-three/uikit';
import { ReactNode, RefAttributes } from 'react';
declare const buttonVariants: {
    default: {
        containerHoverProps: {
            backgroundOpacity: number;
        };
        containerProps: {
            backgroundColor: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        };
        defaultProps: {
            color: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        };
    };
    destructive: {
        containerHoverProps: {
            backgroundOpacity: number;
        };
        containerProps: {
            backgroundColor: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        };
        defaultProps: {
            color: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        };
    };
    outline: {
        containerHoverProps: {
            backgroundColor: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        };
        containerProps: {
            borderWidth: number;
            borderColor: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
            backgroundColor: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        };
    };
    secondary: {
        containerHoverProps: {
            backgroundOpacity: number;
        };
        containerProps: {
            backgroundColor: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        };
        defaultProps: {
            color: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        };
    };
    ghost: {
        containerHoverProps: {
            backgroundColor: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        };
        defaultProps: {};
    };
    link: {
        containerProps: {};
        defaultProps: {
            color: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        };
    };
};
declare const buttonSizes: {
    default: {
        height: number;
        paddingX: number;
        paddingY: number;
    };
    sm: {
        height: number;
        paddingX: number;
    };
    lg: {
        height: number;
        paddingX: number;
    };
    icon: {
        height: number;
        width: number;
    };
};
export type ButtonProperties = ContainerProperties & {
    variant?: keyof typeof buttonVariants;
    size?: keyof typeof buttonSizes;
    disabled?: boolean;
};
export declare const Button: (props: ButtonProperties & RefAttributes<ComponentInternals>) => ReactNode;
export {};
