import { Container, DefaultProperties } from '@react-three/uikit';
import React, { forwardRef } from 'react';
import { borderRadius, colors } from './theme.js';
export const Card = forwardRef(({ children, ...props }, ref) => {
    return (React.createElement(Container, { flexDirection: "column", borderRadius: borderRadius.lg, borderWidth: 1, backgroundColor: colors.card, ref: ref, ...props },
        React.createElement(DefaultProperties, { color: colors.cardForeground }, children)));
});
export const CardHeader = forwardRef((props, ref) => {
    return React.createElement(Container, { padding: 24, flexDirection: "column", gap: 6, ref: ref, ...props });
});
export function CardTitle(props) {
    return React.createElement(DefaultProperties, { fontWeight: "semi-bold", letterSpacing: -0.4, fontSize: 24, lineHeight: "100%", ...props });
}
export function CardDescription(props) {
    return React.createElement(DefaultProperties, { fontSize: 14, lineHeight: 20, color: colors.mutedForeground, ...props });
}
export const CardContent = forwardRef((props, ref) => {
    return React.createElement(Container, { padding: 24, paddingTop: 0, ref: ref, ...props });
});
export const CardFooter = forwardRef((props, ref) => {
    return React.createElement(Container, { flexDirection: "row", alignItems: "center", padding: 24, paddingTop: 0, ref: ref, ...props });
});
