import { conversionPropertyTypes } from '@react-three/uikit';
import { Accordion, AccordionContent, AccordionItem, AccordionTrigger, Alert, AlertDescription, AlertDialog, AlertDialogAction, AlertDialogCancel, AlertDialogContent, AlertDialogDescription, AlertDialogFooter, AlertDialogHeader, AlertDialogOverlay, AlertDialogTitle, AlertDialogTrigger, AlertIcon, AlertTitle, Avatar, Badge, Button, Card, CardContent, CardDescription, CardFooter, CardHeader, CardTitle, Checkbox, Dialog, DialogAnchor, DialogContent, DialogContentPrimitive, DialogDescription, DialogFooter, DialogHeader, DialogOverlay, DialogTitle, DialogTrigger, Input, Label, Pagination, PaginationContent, PaginationEllipsis, PaginationItem, PaginationLink, PaginationNext, PaginationPrevious, Progress, RadioGroup, RadioGroupItem, Separator, Skeleton, Slider, Switch, Tabs, TabsContent, TabsList, TabsTrigger, Textarea, Toggle, ToggleGroup, ToggleGroupItem, Tooltip, TooltipContent, TooltipTrigger } from "./index.js";
export const componentMap = {
    Accordion: {
        renderAs: 'Accordion',
        renderAsImpl: Accordion,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    AccordionContent: {
        renderAs: 'AccordionContent',
        renderAsImpl: AccordionContent,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    AccordionItem: {
        renderAs: 'AccordionItem',
        renderAsImpl: AccordionItem,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "value": ["string"] }],
    },
    AccordionTrigger: {
        renderAs: 'AccordionTrigger',
        renderAsImpl: AccordionTrigger,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    Alert: {
        renderAs: 'Alert',
        renderAsImpl: Alert,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "variant": [["default", "destructive"]] }],
    },
    AlertDescription: {
        renderAs: 'AlertDescription',
        renderAsImpl: AlertDescription,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    AlertDialog: {
        renderAs: 'AlertDialog',
        renderAsImpl: AlertDialog,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, { "open": ["boolean"], "defaultOpen": ["boolean"] }],
    },
    AlertDialogAction: {
        renderAs: 'AlertDialogAction',
        renderAsImpl: AlertDialogAction,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    AlertDialogCancel: {
        renderAs: 'AlertDialogCancel',
        renderAsImpl: AlertDialogCancel,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    AlertDialogContent: {
        renderAs: 'AlertDialogContent',
        renderAsImpl: AlertDialogContent,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    AlertDialogDescription: {
        renderAs: 'AlertDialogDescription',
        renderAsImpl: AlertDialogDescription,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, {}],
    },
    AlertDialogFooter: {
        renderAs: 'AlertDialogFooter',
        renderAsImpl: AlertDialogFooter,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    AlertDialogHeader: {
        renderAs: 'AlertDialogHeader',
        renderAsImpl: AlertDialogHeader,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    AlertDialogOverlay: {
        renderAs: 'AlertDialogOverlay',
        renderAsImpl: AlertDialogOverlay,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    AlertDialogTitle: {
        renderAs: 'AlertDialogTitle',
        renderAsImpl: AlertDialogTitle,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, {}],
    },
    AlertDialogTrigger: {
        renderAs: 'AlertDialogTrigger',
        renderAsImpl: AlertDialogTrigger,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    AlertIcon: {
        renderAs: 'AlertIcon',
        renderAsImpl: AlertIcon,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    AlertTitle: {
        renderAs: 'AlertTitle',
        renderAsImpl: AlertTitle,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    Avatar: {
        renderAs: 'Avatar',
        renderAsImpl: Avatar,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Image, {}],
    },
    Badge: {
        renderAs: 'Badge',
        renderAsImpl: Badge,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "variant": [["default", "destructive", "outline", "secondary"]] }],
    },
    Button: {
        renderAs: 'Button',
        renderAsImpl: Button,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "variant": [["default", "destructive", "ghost", "link", "outline", "secondary"]], "size": [["default", "icon", "lg", "sm"]], "disabled": ["boolean"] }],
    },
    Card: {
        renderAs: 'Card',
        renderAsImpl: Card,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    CardContent: {
        renderAs: 'CardContent',
        renderAsImpl: CardContent,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    CardDescription: {
        renderAs: 'CardDescription',
        renderAsImpl: CardDescription,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, {}],
    },
    CardFooter: {
        renderAs: 'CardFooter',
        renderAsImpl: CardFooter,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    CardHeader: {
        renderAs: 'CardHeader',
        renderAsImpl: CardHeader,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    CardTitle: {
        renderAs: 'CardTitle',
        renderAsImpl: CardTitle,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, {}],
    },
    Checkbox: {
        renderAs: 'Checkbox',
        renderAsImpl: Checkbox,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, { "defaultChecked": ["boolean"], "checked": ["boolean"], "disabled": ["boolean"] }],
    },
    Dialog: {
        renderAs: 'Dialog',
        renderAsImpl: Dialog,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, { "open": ["boolean"], "defaultOpen": ["boolean"] }],
    },
    DialogAnchor: {
        renderAs: 'DialogAnchor',
        renderAsImpl: DialogAnchor,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, {}],
    },
    DialogContent: {
        renderAs: 'DialogContent',
        renderAsImpl: DialogContent,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    DialogContentPrimitive: {
        renderAs: 'DialogContentPrimitive',
        renderAsImpl: DialogContentPrimitive,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, {}],
    },
    DialogDescription: {
        renderAs: 'DialogDescription',
        renderAsImpl: DialogDescription,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, {}],
    },
    DialogFooter: {
        renderAs: 'DialogFooter',
        renderAsImpl: DialogFooter,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    DialogHeader: {
        renderAs: 'DialogHeader',
        renderAsImpl: DialogHeader,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    DialogOverlay: {
        renderAs: 'DialogOverlay',
        renderAsImpl: DialogOverlay,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    DialogTitle: {
        renderAs: 'DialogTitle',
        renderAsImpl: DialogTitle,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, {}],
    },
    DialogTrigger: {
        renderAs: 'DialogTrigger',
        renderAsImpl: DialogTrigger,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    Input: {
        renderAs: 'Input',
        renderAsImpl: Input,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Input, {}],
    },
    Label: {
        renderAs: 'Label',
        renderAsImpl: Label,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, { "disabled": ["boolean"] }],
    },
    Pagination: {
        renderAs: 'Pagination',
        renderAsImpl: Pagination,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    PaginationContent: {
        renderAs: 'PaginationContent',
        renderAsImpl: PaginationContent,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    PaginationEllipsis: {
        renderAs: 'PaginationEllipsis',
        renderAsImpl: PaginationEllipsis,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, { "size": [["default", "icon", "lg", "sm"]], "isActive": ["boolean"] }],
    },
    PaginationItem: {
        renderAs: 'PaginationItem',
        renderAsImpl: PaginationItem,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    PaginationLink: {
        renderAs: 'PaginationLink',
        renderAsImpl: PaginationLink,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "size": [["default", "icon", "lg", "sm"]], "isActive": ["boolean"] }],
    },
    PaginationNext: {
        renderAs: 'PaginationNext',
        renderAsImpl: PaginationNext,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, { "size": [["default", "icon", "lg", "sm"]], "isActive": ["boolean"] }],
    },
    PaginationPrevious: {
        renderAs: 'PaginationPrevious',
        renderAsImpl: PaginationPrevious,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, { "size": [["default", "icon", "lg", "sm"]], "isActive": ["boolean"] }],
    },
    Progress: {
        renderAs: 'Progress',
        renderAsImpl: Progress,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, { "value": ["number"] }],
    },
    RadioGroup: {
        renderAs: 'RadioGroup',
        renderAsImpl: RadioGroup,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "value": ["string"], "defaultValue": ["string"] }],
    },
    RadioGroupItem: {
        renderAs: 'RadioGroupItem',
        renderAsImpl: RadioGroupItem,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "disabled": ["boolean"], "value": ["string"] }],
    },
    Separator: {
        renderAs: 'Separator',
        renderAsImpl: Separator,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, { "orientation": [["horizontal", "vertical"]] }],
    },
    Skeleton: {
        renderAs: 'Skeleton',
        renderAsImpl: Skeleton,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    Slider: {
        renderAs: 'Slider',
        renderAsImpl: Slider,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, { "disabled": ["boolean"], "value": ["number"], "defaultValue": ["number"], "min": ["number"], "max": ["number"], "step": ["number"] }],
    },
    Switch: {
        renderAs: 'Switch',
        renderAsImpl: Switch,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, { "defaultChecked": ["boolean"], "checked": ["boolean"], "disabled": ["boolean"] }],
    },
    Tabs: {
        renderAs: 'Tabs',
        renderAsImpl: Tabs,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "value": ["string"], "defaultValue": ["string"] }],
    },
    TabsContent: {
        renderAs: 'TabsContent',
        renderAsImpl: TabsContent,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "value": ["string"] }],
    },
    TabsList: {
        renderAs: 'TabsList',
        renderAsImpl: TabsList,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    TabsTrigger: {
        renderAs: 'TabsTrigger',
        renderAsImpl: TabsTrigger,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "disabled": ["boolean"], "value": ["string"] }],
    },
    Textarea: {
        renderAs: 'Textarea',
        renderAsImpl: Textarea,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, { "caretBorderRadius": ["number"], "caretBorderTopRadius": ["number"], "caretBorderLeftRadius": ["number"], "caretBorderRightRadius": ["number"], "caretBorderBottomRadius": ["number"], "caretBorderWidth": ["number"], "caretBorderXWidth": ["number"], "caretBorderYWidth": ["number"], "selectionBorderRadius": ["number"], "selectionBorderTopRadius": ["number"], "selectionBorderLeftRadius": ["number"], "selectionBorderRightRadius": ["number"], "selectionBorderBottomRadius": ["number"], "selectionBorderWidth": ["number"], "selectionBorderXWidth": ["number"], "selectionBorderYWidth": ["number"], "caretBorderTopLeftRadius": ["number"], "caretBorderTopRightRadius": ["number"], "caretBorderBottomLeftRadius": ["number"], "caretBorderBottomRightRadius": ["number"], "caretBorderBottomWidth": ["number"], "caretBorderTopWidth": ["number"], "caretBorderLeftWidth": ["number"], "caretBorderRightWidth": ["number"], "selectionBorderTopLeftRadius": ["number"], "selectionBorderTopRightRadius": ["number"], "selectionBorderBottomLeftRadius": ["number"], "selectionBorderBottomRightRadius": ["number"], "selectionBorderBottomWidth": ["number"], "selectionBorderTopWidth": ["number"], "selectionBorderLeftWidth": ["number"], "selectionBorderRightWidth": ["number"], "value": ["string"], "type": [["password", "text"]], "letterSpacing": ["number"], "lineHeight": ["percentage", "number"], "fontSize": ["number"], "wordBreak": [["break-all", "break-word", "keep-all"]], "caretBorderColor": ["string", "number"], "caretBorderBend": ["number"], "caretBorderOpacity": ["number"], "selectionBorderColor": ["string", "number"], "selectionBorderBend": ["number"], "selectionBorderOpacity": ["number"], "opacity": ["number"], "color": ["string", "number"], "textAlign": [["block", "center", "left", "middle", "right"]], "verticalAlign": [["bottom", "center", "middle", "top"]], "fontFamily": ["string"], "fontWeight": [["black", "bold", "extra-black", "extra-bold", "extra-light", "light", "medium", "normal", "semi-bold", "thin"], "number"], "caretOpacity": ["number"], "caretColor": ["string", "number"], "caretWidth": ["number"], "selectionOpacity": ["number"], "selectionColor": ["string", "number"], "disabled": ["boolean"], "defaultValue": ["string"], "tabIndex": ["number"], "placeholder": ["string"] }],
    },
    Toggle: {
        renderAs: 'Toggle',
        renderAsImpl: Toggle,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "defaultChecked": ["boolean"], "checked": ["boolean"], "disabled": ["boolean"], "variant": [["default", "outline"]], "size": [["default", "lg", "sm"]] }],
    },
    ToggleGroup: {
        renderAs: 'ToggleGroup',
        renderAsImpl: ToggleGroup,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "variant": [["default", "outline"]], "size": [["default", "lg", "sm"]] }],
    },
    ToggleGroupItem: {
        renderAs: 'ToggleGroupItem',
        renderAsImpl: ToggleGroupItem,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "defaultChecked": ["boolean"], "checked": ["boolean"], "disabled": ["boolean"] }],
    },
    Tooltip: {
        renderAs: 'Tooltip',
        renderAsImpl: Tooltip,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
    TooltipContent: {
        renderAs: 'TooltipContent',
        renderAsImpl: TooltipContent,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "sideOffset": ["number"] }],
    },
    TooltipTrigger: {
        renderAs: 'TooltipTrigger',
        renderAsImpl: TooltipTrigger,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, {}],
    },
};
