import { ComponentInternals, ContainerProperties } from '@react-three/uikit';
import React, { ReactNode, RefAttributes } from 'react';
export type DialogAnchorProperties = {
    children?: ReactNode;
};
export declare function DialogAnchor({ children }: DialogAnchorProperties): React.JSX.Element;
export declare function useDialogContext(): {
    setOpen: (open: boolean) => void;
    setContent: (element: React.ReactNode) => void;
};
export type DialogProperties = {
    children?: ReactNode;
    open?: boolean;
    defaultOpen?: boolean;
    onOpenChange?: (open: boolean) => void;
};
export declare function Dialog({ children, open: providedOpen, onOpenChange, defaultOpen }: DialogProperties): React.JSX.Element;
export type DialogTriggerProperties = ContainerProperties;
export declare const DialogTrigger: (props: DialogTriggerProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type DialogOverlayProperties = ContainerProperties;
export declare const DialogOverlay: (props: DialogOverlayProperties & RefAttributes<ComponentInternals>) => ReactNode;
export declare function useCloseDialog(): () => void;
export type DialogContentPrimitiveProperties = {
    children?: ReactNode;
};
export declare function DialogContentPrimitive({ children }: DialogContentPrimitiveProperties): null;
export type DialogContentProperties = ContainerProperties;
export declare const DialogContent: (props: DialogContentProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type DialogHeaderProperties = ContainerProperties;
export declare const DialogHeader: (props: DialogHeaderProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type DialogFooterProperties = ContainerProperties;
export declare const DialogFooter: (props: DialogFooterProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type DialogTitleProperties = {
    children?: ReactNode;
};
export declare function DialogTitle(props: DialogTitleProperties): React.JSX.Element;
export type DialogDescriptionProperties = {
    children?: ReactNode;
};
export declare function DialogDescription(props: DialogDescriptionProperties): React.JSX.Element;
