import { ComponentInternals, ContainerProperties } from '@react-three/uikit';
import { ReactNode, RefAttributes } from 'react';
export type PaginationProperties = ContainerProperties;
export declare const Pagination: (props: PaginationProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type PaginationContentProperties = ContainerProperties;
export declare const PaginationContent: (props: PaginationContentProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type PaginationItemProperties = ContainerProperties;
export declare const PaginationItem: (props: ContainerProperties & RefAttributes<ComponentInternals<ContainerProperties>>) => ReactNode;
declare const paginationSizes: {
    default: {
        height: number;
        paddingX: number;
        paddingY: number;
    };
    sm: {
        height: number;
        paddingX: number;
    };
    lg: {
        height: number;
        paddingX: number;
    };
    icon: {
        height: number;
        width: number;
    };
};
export type PaginationLinkProperties = ContainerProperties & {
    size?: keyof typeof paginationSizes;
    isActive?: boolean;
};
export declare const PaginationLink: (props: PaginationLinkProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type PaginationPreviousProperties = Omit<PaginationLinkProperties, 'children'>;
export declare const PaginationPrevious: (props: PaginationPreviousProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type PaginationNextProperties = Omit<PaginationLinkProperties, 'children'>;
export declare const PaginationNext: (props: PaginationNextProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type PaginationEllipsisProperties = Omit<PaginationLinkProperties, 'children'>;
export declare const PaginationEllipsis: (props: PaginationEllipsisProperties & RefAttributes<ComponentInternals>) => ReactNode;
export {};
