import { ComponentInternals, ContainerProperties } from '@react-three/uikit';
import { ReactNode, RefAttributes } from 'react';
export type TabsProperties = {
    value?: string;
    onValueChange?(value: string): void;
    defaultValue?: string;
    children?: ReactNode;
} & ContainerProperties;
export declare const Tabs: (props: TabsProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type TabsListProperties = ContainerProperties;
export declare const TabsList: (props: TabsListProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type TabsTriggerProperties = ContainerProperties & {
    disabled?: boolean;
    value: string;
};
export declare const TabsTrigger: (props: TabsTriggerProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type TabsContentProperties = ContainerProperties & {
    value: string;
};
export declare const TabsContent: (props: TabsContentProperties & RefAttributes<ComponentInternals>) => ReactNode;
