import { ComponentInternals, ContainerProperties } from '@react-three/uikit';
import { ReactNode, RefAttributes } from 'react';
declare const toggleVariants: {
    default: {};
    outline: {
        containerProps: {
            borderWidth: number;
            borderColor: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        };
        containerHoverProps: {
            backgroundColor: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        };
    };
};
declare const toggleSizes: {
    default: {
        height: number;
        paddingX: number;
    };
    sm: {
        height: number;
        paddingX: number;
    };
    lg: {
        height: number;
        paddingX: number;
    };
};
export type ToggleGroupProperties = ContainerProperties & {
    variant?: keyof typeof toggleVariants;
    size?: keyof typeof toggleSizes;
};
export declare const ToggleGroup: (props: ToggleGroupProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type ToggleGroupItemProperties = ContainerProperties & {
    defaultChecked?: boolean;
    checked?: boolean;
    disabled?: boolean;
    onCheckedChange?(checked: boolean): void;
};
export declare const ToggleGroupItem: (props: ToggleGroupItemProperties & RefAttributes<ComponentInternals>) => ReactNode;
export {};
